Subject: [bug#68416] [PATCH] python: add 3.20 - 3.16 to the version search list

From: Frederic Berat <[email-masked]>
Date: Mon, 15 Jan 2024 08:25:26 +0100

On Sun, Jan 14, 2024 at 3:13 AM Karl Berry <[email-masked]> wrote:

>     With Python 3.12 out now, and 3.13 out in ~9 months, the existing
> runway
>     is running out.  Bump up to 3.20 for the next Automake release.
>
> Applied, thanks.
>
> Not proposing to try anything for our upcoming release, but I wonder if
> there is some more general way to handle Python versions? We don't have
> to laboriously list every possible version for anything else.
>

That may not be the most clever way to do it, but you can probably build
the list dynamically at least, with something like (untested):

pythons="python python2 python3"
for i in {20..0};do pythons="$pythons python3.$i";done
for i in {7..0};do pythons="$pythons python2.$i";done

m4_define_default([_AM_PYTHON_INTERPRETER_LIST], [$pythons])

> As things are, I'm tempted to include 4.20-4.1 too, because their next
> major incompatibility will probably come sooner rather than later ...
>
> wdyt? --thanks, karl.
>
>
>
>